using Sledgemapper.Shared.Entities;
using System.Threading.Tasks;

namespace Sledgemapper.Shared.Clients
{
    public interface ISledgemapperClient
    {
        Task NewTile(Tile tile);
        Task NewWall(Wall wall);
        Task NewOverlay(Overlay overlay);
        Task NewNote(Note note);
        Task NewRoom(Room room);
        Task DeleteTile(Tile tile);
        Task DeleteNote(Note note);
        Task DeleteWall(Wall wall);
        Task DeleteOverlay(Overlay overlay);
        Task NewPlayer(Player player);
        Task PlayerUpdate(Player player);
        Task RemovePlayer(Player player);
        Task UpdateMap(Session player);
        Task RefreshPlayers();
        Task NewLine(Line line);
        Task Ping(Ping ping);
        //Task NewCampaign(string campaignName);
        //Task<List<Campaign>> GetCampaigns();
    }
}
